export const MESSAGETYPES = {
  ShootSyncMeArrowID: parseInt("0x789b6b0d"), // 2023451405
  ShootSyncMePracticeID: parseInt("0xD88AE05E"), // 3632980062
  WaitForAllReady: parseInt("0x615C13BE"), // 1633424318
  AllReady: parseInt("0x1CCB49FD"), // 483084797
  MeleeAllReady: parseInt("0x37132BD5"), // 924003285
  ShootResult: parseInt("0xAA0795E2"), // 2852623842
  CurrentRoundEnded: parseInt("0x3E2CE041"), // 1043128385
  ToSomeoneShoot: parseInt("0x077ACD1A"), // 125488410
  SomeGuyIsReady: parseInt("0xAEE8C236"), // 2934489654
  MatchOver: parseInt("0xB7815EEF"), // 3078708975
  StartCount: parseInt("0xD7B0DD2F"), // 3618692399
  FinalShoot: parseInt("0x5953C8A1"), // 1498663073
  RoundPoint: 4061248646,
  UserEnterRoom: 2133805521,
  UserExitRoom: 3896523333,
  RoomDestroy: 3617539277,
  SomeoneComplete: 2921416944,
  HalfTimeOver: 388606440,
  BackToGame: 1899960424,
  FinalShootResult: 3813452544,
  PaySuccess: 3793388244,
};

export const topThreeColors = ["#FFD947", "#D2D2D2", "#FFA515"];

export const getMessageTypeName = (id) => {
  for (let key in MESSAGETYPES) {
    if (MESSAGETYPES[key] === id) {
      return key;
    }
  }
  return null;
};

export const roundsName = {
  0: "一",
  1: "一",
  2: "二",
  3: "三",
  4: "四",
  5: "五",
};

export const meleeAvatarColors = [
  "#364469",
  "#692735",
  "#934B4B",
  "#A98B69",
  "#8268A2",
  "#9C538F",
  "#6870BB",
  "#4B8593",
  "#9BA969",
  "#DCCE6D",
];

export const orderStatusNames = {
  1: "待付款",
  2: "已付款",
  3: "已发货",
  4: "已完成",
  5: "已关闭",
  6: "申请退款",
  7: "退款中",
  8: "已退款",
  9: "拒绝退款",
};

export const directionAdjusts = {
  AdjustLowerRight: "向右下方调瞄",
  AdjustDown: "向下方调瞄",
  AdjustLowerLeft: "向左下方调瞄",
  AdjustLeft: "向左侧调瞄",
  AdjustUpperLeft: "向左上侧调瞄",
  AdjustUp: "向上方调瞄",
  AdjustUpperRight: "向右上方调瞄",
  AdjustRight: "向右侧调瞄",
};
